# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'generalSettingsDialog.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_generalSettingsDialog(object):
    def setupUi(self, generalSettingsDialog):
        generalSettingsDialog.setObjectName("generalSettingsDialog")
        generalSettingsDialog.resize(708, 399)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(generalSettingsDialog)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.settings_tabs = QtWidgets.QTabWidget(generalSettingsDialog)
        self.settings_tabs.setObjectName("settings_tabs")
        self.strips_tab = QtWidgets.QWidget()
        self.strips_tab.setObjectName("strips_tab")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.strips_tab)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.groupBox_6 = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox_6.setObjectName("groupBox_6")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.groupBox_6)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.routeVectWarnings_tickBox = QtWidgets.QCheckBox(self.groupBox_6)
        self.routeVectWarnings_tickBox.setObjectName("routeVectWarnings_tickBox")
        self.verticalLayout_5.addWidget(self.routeVectWarnings_tickBox)
        self.cpdlcStatusIntegrationToStrips_tickBox = QtWidgets.QCheckBox(self.groupBox_6)
        self.cpdlcStatusIntegrationToStrips_tickBox.setObjectName("cpdlcStatusIntegrationToStrips_tickBox")
        self.verticalLayout_5.addWidget(self.cpdlcStatusIntegrationToStrips_tickBox)
        self.verticalRwyBoxLayout_tickBox = QtWidgets.QCheckBox(self.groupBox_6)
        self.verticalRwyBoxLayout_tickBox.setObjectName("verticalRwyBoxLayout_tickBox")
        self.verticalLayout_5.addWidget(self.verticalRwyBoxLayout_tickBox)
        self.gridLayout_4.addWidget(self.groupBox_6, 0, 0, 1, 1)
        self.groupBox_7 = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox_7.setObjectName("groupBox_7")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.groupBox_7)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.autoFillStripFromXPDR_tickBox = QtWidgets.QCheckBox(self.groupBox_7)
        self.autoFillStripFromXPDR_tickBox.setObjectName("autoFillStripFromXPDR_tickBox")
        self.verticalLayout_8.addWidget(self.autoFillStripFromXPDR_tickBox)
        self.autoFillStripFromFPL_tickBox = QtWidgets.QCheckBox(self.groupBox_7)
        self.autoFillStripFromFPL_tickBox.setObjectName("autoFillStripFromFPL_tickBox")
        self.verticalLayout_8.addWidget(self.autoFillStripFromFPL_tickBox)
        self.autoFillStripBeforeHandovers_tickBox = QtWidgets.QCheckBox(self.groupBox_7)
        self.autoFillStripBeforeHandovers_tickBox.setObjectName("autoFillStripBeforeHandovers_tickBox")
        self.verticalLayout_8.addWidget(self.autoFillStripBeforeHandovers_tickBox)
        self.gridLayout_4.addWidget(self.groupBox_7, 0, 2, 1, 1)
        self.groupBox_5 = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox_5.setObjectName("groupBox_5")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.groupBox_5)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.confirmHandovers_tickBox = QtWidgets.QCheckBox(self.groupBox_5)
        self.confirmHandovers_tickBox.setObjectName("confirmHandovers_tickBox")
        self.verticalLayout_7.addWidget(self.confirmHandovers_tickBox)
        self.confirmLossyStripReleases_tickBox = QtWidgets.QCheckBox(self.groupBox_5)
        self.confirmLossyStripReleases_tickBox.setObjectName("confirmLossyStripReleases_tickBox")
        self.verticalLayout_7.addWidget(self.confirmLossyStripReleases_tickBox)
        self.confirmLinkedStripDeletions_tickBox = QtWidgets.QCheckBox(self.groupBox_5)
        self.confirmLinkedStripDeletions_tickBox.setObjectName("confirmLinkedStripDeletions_tickBox")
        self.verticalLayout_7.addWidget(self.confirmLinkedStripDeletions_tickBox)
        self.gridLayout_4.addWidget(self.groupBox_5, 1, 0, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.autoLinkStrip_off_radioButton = QtWidgets.QRadioButton(self.groupBox)
        self.autoLinkStrip_off_radioButton.setObjectName("autoLinkStrip_off_radioButton")
        self.verticalLayout.addWidget(self.autoLinkStrip_off_radioButton)
        self.autoLinkStrip_identModeS_radioButton = QtWidgets.QRadioButton(self.groupBox)
        self.autoLinkStrip_identModeS_radioButton.setObjectName("autoLinkStrip_identModeS_radioButton")
        self.verticalLayout.addWidget(self.autoLinkStrip_identModeS_radioButton)
        self.autoLinkStrip_identAll_radioButton = QtWidgets.QRadioButton(self.groupBox)
        self.autoLinkStrip_identAll_radioButton.setObjectName("autoLinkStrip_identAll_radioButton")
        self.verticalLayout.addWidget(self.autoLinkStrip_identAll_radioButton)
        self.gridLayout_4.addWidget(self.groupBox, 1, 2, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_4.addItem(spacerItem, 0, 1, 1, 1)
        self.settings_tabs.addTab(self.strips_tab, "")
        self.radar_tab = QtWidgets.QWidget()
        self.radar_tab.setObjectName("radar_tab")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.radar_tab)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.groupBox_13 = QtWidgets.QGroupBox(self.radar_tab)
        self.groupBox_13.setObjectName("groupBox_13")
        self.formLayout_5 = QtWidgets.QFormLayout(self.groupBox_13)
        self.formLayout_5.setObjectName("formLayout_5")
        self.label_22 = QtWidgets.QLabel(self.groupBox_13)
        self.label_22.setObjectName("label_22")
        self.formLayout_5.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_22)
        self.positionHistoryTraceTime_edit = QtWidgets.QSpinBox(self.groupBox_13)
        self.positionHistoryTraceTime_edit.setMaximum(120)
        self.positionHistoryTraceTime_edit.setSingleStep(10)
        self.positionHistoryTraceTime_edit.setObjectName("positionHistoryTraceTime_edit")
        self.formLayout_5.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.positionHistoryTraceTime_edit)
        self.label_21 = QtWidgets.QLabel(self.groupBox_13)
        self.label_21.setObjectName("label_21")
        self.formLayout_5.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_21)
        self.toleratedInvisibleSweeps_edit = QtWidgets.QSpinBox(self.groupBox_13)
        self.toleratedInvisibleSweeps_edit.setObjectName("toleratedInvisibleSweeps_edit")
        self.formLayout_5.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.toleratedInvisibleSweeps_edit)
        self.verticalLayout_9.addWidget(self.groupBox_13)
        self.groupBox_3 = QtWidgets.QGroupBox(self.radar_tab)
        self.groupBox_3.setObjectName("groupBox_3")
        self.formLayout_3 = QtWidgets.QFormLayout(self.groupBox_3)
        self.formLayout_3.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_3.setObjectName("formLayout_3")
        self.label_2 = QtWidgets.QLabel(self.groupBox_3)
        self.label_2.setObjectName("label_2")
        self.formLayout_3.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.flSpeedLine2_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.flSpeedLine2_radioButton.setObjectName("flSpeedLine2_radioButton")
        self.flSpeedLine_buttonGroup = QtWidgets.QButtonGroup(generalSettingsDialog)
        self.flSpeedLine_buttonGroup.setObjectName("flSpeedLine_buttonGroup")
        self.flSpeedLine_buttonGroup.addButton(self.flSpeedLine2_radioButton)
        self.horizontalLayout.addWidget(self.flSpeedLine2_radioButton)
        self.flSpeedLine3_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.flSpeedLine3_radioButton.setObjectName("flSpeedLine3_radioButton")
        self.flSpeedLine_buttonGroup.addButton(self.flSpeedLine3_radioButton)
        self.horizontalLayout.addWidget(self.flSpeedLine3_radioButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.formLayout_3.setLayout(0, QtWidgets.QFormLayout.FieldRole, self.horizontalLayout)
        self.label_12 = QtWidgets.QLabel(self.groupBox_3)
        self.label_12.setObjectName("label_12")
        self.formLayout_3.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label_12)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.wtcNotShown_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.wtcNotShown_radioButton.setObjectName("wtcNotShown_radioButton")
        self.wtc_buttonGroup = QtWidgets.QButtonGroup(generalSettingsDialog)
        self.wtc_buttonGroup.setObjectName("wtc_buttonGroup")
        self.wtc_buttonGroup.addButton(self.wtcNotShown_radioButton)
        self.horizontalLayout_2.addWidget(self.wtcNotShown_radioButton)
        self.wtcFollowsType_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.wtcFollowsType_radioButton.setObjectName("wtcFollowsType_radioButton")
        self.wtc_buttonGroup.addButton(self.wtcFollowsType_radioButton)
        self.horizontalLayout_2.addWidget(self.wtcFollowsType_radioButton)
        self.wtcFollowsSpeed_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.wtcFollowsSpeed_radioButton.setObjectName("wtcFollowsSpeed_radioButton")
        self.wtc_buttonGroup.addButton(self.wtcFollowsSpeed_radioButton)
        self.horizontalLayout_2.addWidget(self.wtcFollowsSpeed_radioButton)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.formLayout_3.setLayout(2, QtWidgets.QFormLayout.FieldRole, self.horizontalLayout_2)
        self.interpretXpdrFl_tickBox = QtWidgets.QCheckBox(self.groupBox_3)
        self.interpretXpdrFl_tickBox.setObjectName("interpretXpdrFl_tickBox")
        self.formLayout_3.setWidget(4, QtWidgets.QFormLayout.SpanningRole, self.interpretXpdrFl_tickBox)
        self.label_13 = QtWidgets.QLabel(self.groupBox_3)
        self.label_13.setObjectName("label_13")
        self.formLayout_3.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_13)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.tagSpeedUnits_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.tagSpeedUnits_radioButton.setObjectName("tagSpeedUnits_radioButton")
        self.speed_buttonGroup = QtWidgets.QButtonGroup(generalSettingsDialog)
        self.speed_buttonGroup.setObjectName("speed_buttonGroup")
        self.speed_buttonGroup.addButton(self.tagSpeedUnits_radioButton)
        self.horizontalLayout_3.addWidget(self.tagSpeedUnits_radioButton)
        self.tagSpeedTens_radioButton = QtWidgets.QRadioButton(self.groupBox_3)
        self.tagSpeedTens_radioButton.setObjectName("tagSpeedTens_radioButton")
        self.speed_buttonGroup.addButton(self.tagSpeedTens_radioButton)
        self.horizontalLayout_3.addWidget(self.tagSpeedTens_radioButton)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.formLayout_3.setLayout(1, QtWidgets.QFormLayout.FieldRole, self.horizontalLayout_3)
        self.verticalLayout_9.addWidget(self.groupBox_3)
        self.settings_tabs.addTab(self.radar_tab, "")
        self.conflicts_tab = QtWidgets.QWidget()
        self.conflicts_tab.setObjectName("conflicts_tab")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.conflicts_tab)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.groupBox_2 = QtWidgets.QGroupBox(self.conflicts_tab)
        self.groupBox_2.setObjectName("groupBox_2")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox_2)
        self.formLayout.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName("formLayout")
        self.label_4 = QtWidgets.QLabel(self.groupBox_2)
        self.label_4.setObjectName("label_4")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_4)
        self.headingTolerance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.headingTolerance_edit.setMaximum(45)
        self.headingTolerance_edit.setObjectName("headingTolerance_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.headingTolerance_edit)
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        self.label_5.setObjectName("label_5")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_5)
        self.altitudeTolerance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.altitudeTolerance_edit.setMaximum(1000)
        self.altitudeTolerance_edit.setSingleStep(10)
        self.altitudeTolerance_edit.setObjectName("altitudeTolerance_edit")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.altitudeTolerance_edit)
        self.label_6 = QtWidgets.QLabel(self.groupBox_2)
        self.label_6.setObjectName("label_6")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label_6)
        self.speedTolerance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.speedTolerance_edit.setMaximum(100)
        self.speedTolerance_edit.setSingleStep(5)
        self.speedTolerance_edit.setObjectName("speedTolerance_edit")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.speedTolerance_edit)
        self.verticalLayout_6.addWidget(self.groupBox_2)
        self.groupBox_4 = QtWidgets.QGroupBox(self.conflicts_tab)
        self.groupBox_4.setObjectName("groupBox_4")
        self.formLayout_2 = QtWidgets.QFormLayout(self.groupBox_4)
        self.formLayout_2.setObjectName("formLayout_2")
        self.label_7 = QtWidgets.QLabel(self.groupBox_4)
        self.label_7.setObjectName("label_7")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_7)
        self.conflictWarningTime_edit = QtWidgets.QSpinBox(self.groupBox_4)
        self.conflictWarningTime_edit.setMinimum(1)
        self.conflictWarningTime_edit.setMaximum(10)
        self.conflictWarningTime_edit.setProperty("value", 5)
        self.conflictWarningTime_edit.setObjectName("conflictWarningTime_edit")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.conflictWarningTime_edit)
        self.label_11 = QtWidgets.QLabel(self.groupBox_4)
        self.label_11.setObjectName("label_11")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_11)
        self.trafficConsidered_select = QtWidgets.QComboBox(self.groupBox_4)
        self.trafficConsidered_select.setObjectName("trafficConsidered_select")
        self.trafficConsidered_select.addItem("")
        self.trafficConsidered_select.addItem("")
        self.trafficConsidered_select.addItem("")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.trafficConsidered_select)
        self.verticalLayout_6.addWidget(self.groupBox_4)
        self.settings_tabs.addTab(self.conflicts_tab, "")
        self.CPDLC_tab = QtWidgets.QWidget()
        self.CPDLC_tab.setObjectName("CPDLC_tab")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.CPDLC_tab)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.groupBox_12 = QtWidgets.QGroupBox(self.CPDLC_tab)
        self.groupBox_12.setObjectName("groupBox_12")
        self.formLayout_4 = QtWidgets.QFormLayout(self.groupBox_12)
        self.formLayout_4.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_4.setObjectName("formLayout_4")
        self.label_3 = QtWidgets.QLabel(self.groupBox_12)
        self.label_3.setObjectName("label_3")
        self.formLayout_4.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_3)
        self.cpdlcTimeout_edit = QtWidgets.QSpinBox(self.groupBox_12)
        self.cpdlcTimeout_edit.setMaximum(120)
        self.cpdlcTimeout_edit.setObjectName("cpdlcTimeout_edit")
        self.formLayout_4.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.cpdlcTimeout_edit)
        self.cpdlcXfrAcceptedSendsStrip_tickBox = QtWidgets.QCheckBox(self.groupBox_12)
        self.cpdlcXfrAcceptedSendsStrip_tickBox.setObjectName("cpdlcXfrAcceptedSendsStrip_tickBox")
        self.formLayout_4.setWidget(1, QtWidgets.QFormLayout.SpanningRole, self.cpdlcXfrAcceptedSendsStrip_tickBox)
        self.verticalLayout_10.addWidget(self.groupBox_12)
        self.groupBox_9 = QtWidgets.QGroupBox(self.CPDLC_tab)
        self.groupBox_9.setObjectName("groupBox_9")
        self.formLayout_8 = QtWidgets.QFormLayout(self.groupBox_9)
        self.formLayout_8.setObjectName("formLayout_8")
        self.cpdlcRaiseWindows_tickBox = QtWidgets.QCheckBox(self.groupBox_9)
        self.cpdlcRaiseWindows_tickBox.setObjectName("cpdlcRaiseWindows_tickBox")
        self.formLayout_8.setWidget(0, QtWidgets.QFormLayout.SpanningRole, self.cpdlcRaiseWindows_tickBox)
        self.cpdlcCloseWindows_tickBox = QtWidgets.QCheckBox(self.groupBox_9)
        self.cpdlcCloseWindows_tickBox.setObjectName("cpdlcCloseWindows_tickBox")
        self.formLayout_8.setWidget(1, QtWidgets.QFormLayout.SpanningRole, self.cpdlcCloseWindows_tickBox)
        self.verticalLayout_10.addWidget(self.groupBox_9)
        self.settings_tabs.addTab(self.CPDLC_tab, "")
        self.textChat_tab = QtWidgets.QWidget()
        self.textChat_tab.setObjectName("textChat_tab")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.textChat_tab)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox_10 = QtWidgets.QGroupBox(self.textChat_tab)
        self.groupBox_10.setObjectName("groupBox_10")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.groupBox_10)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.autoAtcChatWindowPopUp_tickBox = QtWidgets.QCheckBox(self.groupBox_10)
        self.autoAtcChatWindowPopUp_tickBox.setObjectName("autoAtcChatWindowPopUp_tickBox")
        self.verticalLayout_3.addWidget(self.autoAtcChatWindowPopUp_tickBox)
        self.notifyGeneralChatRoomMsg_tickBox = QtWidgets.QCheckBox(self.groupBox_10)
        self.notifyGeneralChatRoomMsg_tickBox.setObjectName("notifyGeneralChatRoomMsg_tickBox")
        self.verticalLayout_3.addWidget(self.notifyGeneralChatRoomMsg_tickBox)
        self.verticalLayout_2.addWidget(self.groupBox_10)
        self.groupBox_8 = QtWidgets.QGroupBox(self.textChat_tab)
        self.groupBox_8.setObjectName("groupBox_8")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_8)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.formLayout_6 = QtWidgets.QFormLayout()
        self.formLayout_6.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_6.setObjectName("formLayout_6")
        self.label = QtWidgets.QLabel(self.groupBox_8)
        self.label.setObjectName("label")
        self.formLayout_6.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.textChatMessagesVisibleTime_edit = QtWidgets.QSpinBox(self.groupBox_8)
        self.textChatMessagesVisibleTime_edit.setObjectName("textChatMessagesVisibleTime_edit")
        self.formLayout_6.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.textChatMessagesVisibleTime_edit)
        self.gridLayout_2.addLayout(self.formLayout_6, 0, 0, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem4, 0, 1, 1, 1)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.messageList_view = QtWidgets.QListView(self.groupBox_8)
        self.messageList_view.setDragDropMode(QtWidgets.QAbstractItemView.InternalMove)
        self.messageList_view.setObjectName("messageList_view")
        self.gridLayout.addWidget(self.messageList_view, 1, 0, 3, 1)
        self.addMsgPreset_button = QtWidgets.QToolButton(self.groupBox_8)
        self.addMsgPreset_button.setObjectName("addMsgPreset_button")
        self.gridLayout.addWidget(self.addMsgPreset_button, 1, 1, 1, 1)
        self.rmMsgPreset_button = QtWidgets.QToolButton(self.groupBox_8)
        self.rmMsgPreset_button.setObjectName("rmMsgPreset_button")
        self.gridLayout.addWidget(self.rmMsgPreset_button, 2, 1, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(20, 81, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout.addItem(spacerItem5, 3, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox_8)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 0, 0, 1, 2)
        self.gridLayout_2.addLayout(self.gridLayout, 1, 0, 1, 2)
        self.verticalLayout_2.addWidget(self.groupBox_8)
        self.settings_tabs.addTab(self.textChat_tab, "")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.verticalLayout_12 = QtWidgets.QVBoxLayout(self.tab)
        self.verticalLayout_12.setObjectName("verticalLayout_12")
        self.groupBox_11 = QtWidgets.QGroupBox(self.tab)
        self.groupBox_11.setObjectName("groupBox_11")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.groupBox_11)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.soundNotification_listView = QtWidgets.QListView(self.groupBox_11)
        self.soundNotification_listView.setObjectName("soundNotification_listView")
        self.verticalLayout_11.addWidget(self.soundNotification_listView)
        self.label_8 = QtWidgets.QLabel(self.groupBox_11)
        self.label_8.setObjectName("label_8")
        self.verticalLayout_11.addWidget(self.label_8)
        self.verticalLayout_12.addWidget(self.groupBox_11)
        self.pttMutesSounds_tickBox = QtWidgets.QCheckBox(self.tab)
        self.pttMutesSounds_tickBox.setObjectName("pttMutesSounds_tickBox")
        self.verticalLayout_12.addWidget(self.pttMutesSounds_tickBox)
        self.settings_tabs.addTab(self.tab, "")
        self.verticalLayout_4.addWidget(self.settings_tabs)
        self.buttonBox = QtWidgets.QDialogButtonBox(generalSettingsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_4.addWidget(self.buttonBox)
        self.label_22.setBuddy(self.positionHistoryTraceTime_edit)
        self.label_21.setBuddy(self.toleratedInvisibleSweeps_edit)
        self.label_2.setBuddy(self.flSpeedLine2_radioButton)
        self.label_12.setBuddy(self.wtcNotShown_radioButton)
        self.label_13.setBuddy(self.tagSpeedUnits_radioButton)
        self.label_4.setBuddy(self.headingTolerance_edit)
        self.label_5.setBuddy(self.altitudeTolerance_edit)
        self.label_6.setBuddy(self.speedTolerance_edit)
        self.label_7.setBuddy(self.conflictWarningTime_edit)
        self.label_11.setBuddy(self.trafficConsidered_select)
        self.label_3.setBuddy(self.cpdlcTimeout_edit)
        self.label.setBuddy(self.textChatMessagesVisibleTime_edit)

        self.retranslateUi(generalSettingsDialog)
        self.settings_tabs.setCurrentIndex(0)
        self.buttonBox.rejected.connect(generalSettingsDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(generalSettingsDialog)
        generalSettingsDialog.setTabOrder(self.settings_tabs, self.routeVectWarnings_tickBox)
        generalSettingsDialog.setTabOrder(self.routeVectWarnings_tickBox, self.cpdlcStatusIntegrationToStrips_tickBox)
        generalSettingsDialog.setTabOrder(self.cpdlcStatusIntegrationToStrips_tickBox, self.verticalRwyBoxLayout_tickBox)
        generalSettingsDialog.setTabOrder(self.verticalRwyBoxLayout_tickBox, self.confirmHandovers_tickBox)
        generalSettingsDialog.setTabOrder(self.confirmHandovers_tickBox, self.confirmLossyStripReleases_tickBox)
        generalSettingsDialog.setTabOrder(self.confirmLossyStripReleases_tickBox, self.confirmLinkedStripDeletions_tickBox)
        generalSettingsDialog.setTabOrder(self.confirmLinkedStripDeletions_tickBox, self.autoFillStripFromXPDR_tickBox)
        generalSettingsDialog.setTabOrder(self.autoFillStripFromXPDR_tickBox, self.autoFillStripFromFPL_tickBox)
        generalSettingsDialog.setTabOrder(self.autoFillStripFromFPL_tickBox, self.autoFillStripBeforeHandovers_tickBox)
        generalSettingsDialog.setTabOrder(self.autoFillStripBeforeHandovers_tickBox, self.autoLinkStrip_off_radioButton)
        generalSettingsDialog.setTabOrder(self.autoLinkStrip_off_radioButton, self.autoLinkStrip_identModeS_radioButton)
        generalSettingsDialog.setTabOrder(self.autoLinkStrip_identModeS_radioButton, self.autoLinkStrip_identAll_radioButton)
        generalSettingsDialog.setTabOrder(self.autoLinkStrip_identAll_radioButton, self.positionHistoryTraceTime_edit)
        generalSettingsDialog.setTabOrder(self.positionHistoryTraceTime_edit, self.toleratedInvisibleSweeps_edit)
        generalSettingsDialog.setTabOrder(self.toleratedInvisibleSweeps_edit, self.flSpeedLine2_radioButton)
        generalSettingsDialog.setTabOrder(self.flSpeedLine2_radioButton, self.flSpeedLine3_radioButton)
        generalSettingsDialog.setTabOrder(self.flSpeedLine3_radioButton, self.tagSpeedUnits_radioButton)
        generalSettingsDialog.setTabOrder(self.tagSpeedUnits_radioButton, self.tagSpeedTens_radioButton)
        generalSettingsDialog.setTabOrder(self.tagSpeedTens_radioButton, self.wtcNotShown_radioButton)
        generalSettingsDialog.setTabOrder(self.wtcNotShown_radioButton, self.wtcFollowsType_radioButton)
        generalSettingsDialog.setTabOrder(self.wtcFollowsType_radioButton, self.wtcFollowsSpeed_radioButton)
        generalSettingsDialog.setTabOrder(self.wtcFollowsSpeed_radioButton, self.interpretXpdrFl_tickBox)
        generalSettingsDialog.setTabOrder(self.interpretXpdrFl_tickBox, self.headingTolerance_edit)
        generalSettingsDialog.setTabOrder(self.headingTolerance_edit, self.altitudeTolerance_edit)
        generalSettingsDialog.setTabOrder(self.altitudeTolerance_edit, self.speedTolerance_edit)
        generalSettingsDialog.setTabOrder(self.speedTolerance_edit, self.conflictWarningTime_edit)
        generalSettingsDialog.setTabOrder(self.conflictWarningTime_edit, self.trafficConsidered_select)
        generalSettingsDialog.setTabOrder(self.trafficConsidered_select, self.cpdlcTimeout_edit)
        generalSettingsDialog.setTabOrder(self.cpdlcTimeout_edit, self.cpdlcXfrAcceptedSendsStrip_tickBox)
        generalSettingsDialog.setTabOrder(self.cpdlcXfrAcceptedSendsStrip_tickBox, self.cpdlcRaiseWindows_tickBox)
        generalSettingsDialog.setTabOrder(self.cpdlcRaiseWindows_tickBox, self.cpdlcCloseWindows_tickBox)
        generalSettingsDialog.setTabOrder(self.cpdlcCloseWindows_tickBox, self.autoAtcChatWindowPopUp_tickBox)
        generalSettingsDialog.setTabOrder(self.autoAtcChatWindowPopUp_tickBox, self.notifyGeneralChatRoomMsg_tickBox)
        generalSettingsDialog.setTabOrder(self.notifyGeneralChatRoomMsg_tickBox, self.textChatMessagesVisibleTime_edit)
        generalSettingsDialog.setTabOrder(self.textChatMessagesVisibleTime_edit, self.messageList_view)
        generalSettingsDialog.setTabOrder(self.messageList_view, self.addMsgPreset_button)
        generalSettingsDialog.setTabOrder(self.addMsgPreset_button, self.rmMsgPreset_button)

    def retranslateUi(self, generalSettingsDialog):
        _translate = QtCore.QCoreApplication.translate
        generalSettingsDialog.setWindowTitle(_translate("generalSettingsDialog", "General settings"))
        self.groupBox_6.setTitle(_translate("generalSettingsDialog", "Display"))
        self.routeVectWarnings_tickBox.setToolTip(_translate("generalSettingsDialog", "Display \"!!vect\" and \"!!route\" warnings on strips"))
        self.routeVectWarnings_tickBox.setText(_translate("generalSettingsDialog", "Unfollowed vector/route warnings"))
        self.cpdlcStatusIntegrationToStrips_tickBox.setToolTip(_translate("generalSettingsDialog", "This includes colours when the strip is linked"))
        self.cpdlcStatusIntegrationToStrips_tickBox.setText(_translate("generalSettingsDialog", "CPDLC status and warnings"))
        self.verticalRwyBoxLayout_tickBox.setText(_translate("generalSettingsDialog", "Vertical RWY box layout"))
        self.groupBox_7.setTitle(_translate("generalSettingsDialog", "Blank detail auto-fill"))
        self.autoFillStripFromXPDR_tickBox.setText(_translate("generalSettingsDialog", "on links to transponders"))
        self.autoFillStripFromFPL_tickBox.setText(_translate("generalSettingsDialog", "on links to flight plans"))
        self.autoFillStripBeforeHandovers_tickBox.setText(_translate("generalSettingsDialog", "from all links before handovers"))
        self.groupBox_5.setTitle(_translate("generalSettingsDialog", "Confirmations"))
        self.confirmHandovers_tickBox.setToolTip(_translate("generalSettingsDialog", "Confirm all handovers"))
        self.confirmHandovers_tickBox.setText(_translate("generalSettingsDialog", "Strip handovers"))
        self.confirmLossyStripReleases_tickBox.setToolTip(_translate("generalSettingsDialog", "Confirm shelving strips (releasing contacts) with details not fully pushed online"))
        self.confirmLossyStripReleases_tickBox.setText(_translate("generalSettingsDialog", "Lossy shelving"))
        self.confirmLinkedStripDeletions_tickBox.setToolTip(_translate("generalSettingsDialog", "Confirm deleting linked strips"))
        self.confirmLinkedStripDeletions_tickBox.setText(_translate("generalSettingsDialog", "Linked strip deletions"))
        self.groupBox.setTitle(_translate("generalSettingsDialog", "Received strip auto-link"))
        self.autoLinkStrip_off_radioButton.setText(_translate("generalSettingsDialog", "off"))
        self.autoLinkStrip_identModeS_radioButton.setText(_translate("generalSettingsDialog", "on callsign identification only (mode S)"))
        self.autoLinkStrip_identAll_radioButton.setText(_translate("generalSettingsDialog", "on any radar identification (use caution)"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.strips_tab), _translate("generalSettingsDialog", "Strips && racks"))
        self.groupBox_13.setTitle(_translate("generalSettingsDialog", "Contacts"))
        self.label_22.setText(_translate("generalSettingsDialog", "Position history trace time:"))
        self.positionHistoryTraceTime_edit.setSpecialValueText(_translate("generalSettingsDialog", "No trace"))
        self.positionHistoryTraceTime_edit.setSuffix(_translate("generalSettingsDialog", " s"))
        self.label_21.setText(_translate("generalSettingsDialog", "Tolerated invisible sweeps:"))
        self.toleratedInvisibleSweeps_edit.setToolTip(_translate("generalSettingsDialog", "Number of sweeps without contact before reporting the aircraft lost (they appear as \"?\")"))
        self.groupBox_3.setTitle(_translate("generalSettingsDialog", "Tags"))
        self.label_2.setText(_translate("generalSettingsDialog", "FL/speed:"))
        self.flSpeedLine2_radioButton.setText(_translate("generalSettingsDialog", "under callsign, above code/waypoint/dest."))
        self.flSpeedLine3_radioButton.setText(_translate("generalSettingsDialog", "on bottom line"))
        self.label_12.setText(_translate("generalSettingsDialog", "WTC:"))
        self.wtcNotShown_radioButton.setText(_translate("generalSettingsDialog", "do not show"))
        self.wtcFollowsType_radioButton.setText(_translate("generalSettingsDialog", "follows ACFT type"))
        self.wtcFollowsSpeed_radioButton.setText(_translate("generalSettingsDialog", "follows speed"))
        self.interpretXpdrFl_tickBox.setToolTip(_translate("generalSettingsDialog", "Switches from 3-digit format to FL/alt. reading w.r.t. TA and QNH"))
        self.interpretXpdrFl_tickBox.setText(_translate("generalSettingsDialog", "Interpret transponder FL values in radar tags"))
        self.label_13.setText(_translate("generalSettingsDialog", "Speed:"))
        self.tagSpeedUnits_radioButton.setText(_translate("generalSettingsDialog", "knots"))
        self.tagSpeedTens_radioButton.setText(_translate("generalSettingsDialog", "tens of knots"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.radar_tab), _translate("generalSettingsDialog", "Radar display"))
        self.groupBox_2.setTitle(_translate("generalSettingsDialog", "Deviation tolerance"))
        self.label_4.setText(_translate("generalSettingsDialog", "Heading:"))
        self.headingTolerance_edit.setSuffix(_translate("generalSettingsDialog", "°"))
        self.label_5.setText(_translate("generalSettingsDialog", "Altitude:"))
        self.altitudeTolerance_edit.setSuffix(_translate("generalSettingsDialog", " ft"))
        self.label_6.setText(_translate("generalSettingsDialog", "Speed:"))
        self.speedTolerance_edit.setSuffix(_translate("generalSettingsDialog", " kt"))
        self.groupBox_4.setTitle(_translate("generalSettingsDialog", "Conflict anticipation"))
        self.label_7.setText(_translate("generalSettingsDialog", "Anticipation time:"))
        self.conflictWarningTime_edit.setSuffix(_translate("generalSettingsDialog", " min"))
        self.label_11.setText(_translate("generalSettingsDialog", "Traffic to consider:"))
        self.trafficConsidered_select.setItemText(0, _translate("generalSettingsDialog", "Exclude VFR"))
        self.trafficConsidered_select.setItemText(1, _translate("generalSettingsDialog", "Marked IFR only"))
        self.trafficConsidered_select.setItemText(2, _translate("generalSettingsDialog", "All controlled traffic"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.conflicts_tab), _translate("generalSettingsDialog", "Route/path warnings"))
        self.groupBox_12.setTitle(_translate("generalSettingsDialog", "General"))
        self.label_3.setText(_translate("generalSettingsDialog", "Timeout for messages and proposed transfers:"))
        self.cpdlcTimeout_edit.setSpecialValueText(_translate("generalSettingsDialog", "None"))
        self.cpdlcTimeout_edit.setSuffix(_translate("generalSettingsDialog", " s"))
        self.cpdlcXfrAcceptedSendsStrip_tickBox.setText(_translate("generalSettingsDialog", "Send matching strip on accepted transfer"))
        self.groupBox_9.setTitle(_translate("generalSettingsDialog", "Windows"))
        self.cpdlcRaiseWindows_tickBox.setToolTip(_translate("generalSettingsDialog", "Open/raise windows on incoming connections, requests and detected problems"))
        self.cpdlcRaiseWindows_tickBox.setText(_translate("generalSettingsDialog", "Open/raise windows on incoming connections, requests and detected problems"))
        self.cpdlcCloseWindows_tickBox.setText(_translate("generalSettingsDialog", "Close windows on termination if no problem detected"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.CPDLC_tab), _translate("generalSettingsDialog", "CPDLC"))
        self.groupBox_10.setTitle(_translate("generalSettingsDialog", "ATC chat"))
        self.autoAtcChatWindowPopUp_tickBox.setText(_translate("generalSettingsDialog", "Automatically raise panel on incoming private messages"))
        self.notifyGeneralChatRoomMsg_tickBox.setText(_translate("generalSettingsDialog", "Include general chat room messages to sound and status bar notifications"))
        self.groupBox_8.setTitle(_translate("generalSettingsDialog", "Radio chat"))
        self.label.setText(_translate("generalSettingsDialog", "Keep messages visible:"))
        self.textChatMessagesVisibleTime_edit.setSpecialValueText(_translate("generalSettingsDialog", "forever"))
        self.textChatMessagesVisibleTime_edit.setSuffix(_translate("generalSettingsDialog", " min"))
        self.addMsgPreset_button.setText(_translate("generalSettingsDialog", "+"))
        self.rmMsgPreset_button.setText(_translate("generalSettingsDialog", "–"))
        self.label_10.setText(_translate("generalSettingsDialog", "Preset messages (add, remove or reorder messages below):"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.textChat_tab), _translate("generalSettingsDialog", "Text chat"))
        self.groupBox_11.setTitle(_translate("generalSettingsDialog", "Sounds"))
        self.label_8.setText(_translate("generalSettingsDialog", "(*) not logged in the notification panel"))
        self.pttMutesSounds_tickBox.setText(_translate("generalSettingsDialog", "PTT mutes notification sounds (recommended if not using a headset)"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.tab), _translate("generalSettingsDialog", "Notifications"))
